WhatsNext:AddConditionalStatement("Have Pet",{
	category = "Pets",
	text = "player has a pet out.",
	test = function(checkTable) 
		return select(2,HasPetSpells())
	end,
	arguments = {}
})

WhatsNext:AddConditionalStatement("Pet Attacking",{
	category = "Pets",
	text = "player's pet is attacking.",
	test = function(checkTable) 
		return IsPetAttackActive()
	end,
	arguments = {}
})

WhatsNext:AddConditionalStatement("Pet Spell Autocasting",{
	category = "Pets",
	text = "pet ability {spellName} is set to autocast.",
	test = function(checkTable) 
		return select(2,GetSpellAutocast(WhatsNext:GetSpellName(checkTable.spellName),"pet"))
	end,
	arguments = {
		spellName = {label = "Spell", type = "spell", default = ""}
	}
})

WhatsNext:AddConditionalStatement("Pet Spell Can Autocast",{
	category = "Pets",
	text = "pet ability {spellName} can be set to autocast.",
	test = function(checkTable) 
		return select(1,GetSpellAutocast(WhatsNext:GetSpellName(checkTable.spellName),"pet"))
	end,
	arguments = {
		spellName = {label = "Spell", type = "spell", default = ""}
	}
})

WhatsNext:AddConditionalStatement("Pet Mode Active",{
	category = "Pets",
	text = "pet mode {modeName} is on the pet action bar and active.",
	test = function(checkTable) 
		for i=1,10 do
			if GetPetActionInfo(i) == checkTable.modeName then
				return select(5,GetPetActionInfo(i,"pet"))
			end
		end
		return false
	end,
	arguments = {
		modeName = {label = "Mode", type = "dropdown", default = "PET_MODE_DEFENSIVE", possibleValues = WhatsNext.valueLists.petModes},
	}
})